﻿using System;
using System.Diagnostics;
using AccountManagementService.Example.AccountManagementService.Example.AMS.EMS;


namespace AccountManagementService.Example
{
    class Program
    {
        static void Main(string[] args)
        {
            var service = new EntityManagementService();
            Console.WriteLine();

            Console.Write("Your WebApi user:");
            var webApiUserName = Console.ReadLine();

            Console.Write("Your WebApi user password:");
            var webApiUserpassword = Console.ReadLine();

            var authHeader = new AuthHeader
            {
                UserName = webApiUserName,
                Password = webApiUserpassword
            };

            service.AuthHeaderValue = authHeader;
            Console.Write("Backup user in your hierarchy:");
            var backupUserName = Console.ReadLine();

            var request = new GetAccountEntitiesRequest
            {
                TargetEntityID = 0, // means your entity itself
                UserName = backupUserName
            };
            
            var response = service.GetAccountEntities(request);

            Debug.Assert(response != null, "response is null");
            Debug.Assert(response.Result != null, "response.Result is null");
            Debug.Assert(response.Result.Result == 0, "response.Result.Code is 0 (aka Success)");
            Debug.Assert(response.AccountEntitiesInfo != null, "Account is not found or result code is not 0 (aka Success)");
            //

            Console.WriteLine(response.AccountEntitiesInfo.Email);
            Console.WriteLine(response.AccountEntitiesInfo.ParentEntityID);
            Console.WriteLine(response.AccountEntitiesInfo.ParentName);

            Console.Write("Press any key:");
            Console.ReadKey();


        }
    }
}
